<?php
/*
* Template Name: Blog
*/

get_header(); 

$class = "col-md-12";
$sidebar = 'sidebar-1';

if ( nexbunkr('mt_blog_layout') == 'mt_blog_fullwidth' ) {
    $class = "col-md-12";
}elseif ( nexbunkr('mt_blog_layout') == 'mt_blog_right_sidebar' or nexbunkr('mt_blog_layout') == 'mt_blog_left_sidebar') {
    $class = "col-md-8";
}
$breadcrumbs_on_off = get_post_meta( get_the_ID(), 'breadcrumbs_on_off', true );
$blog_page_header = get_post_meta( get_the_ID(), 'blog_page_header', true );

$sidebar = nexbunkr('mt_blog_layout_sidebar');


// Theme Init
$theme_init = new Hostbunker_Init_Class;
?>


<!-- HEADER TITLE BREADCRUBS SECTION -->
<?php echo wp_kses_post(nexbunkr_header_title_breadcrumbs()); ?>

    <!-- Page content -->
    <?php
    wp_reset_postdata();
    $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
    $args = array(
        'post_type' => 'post',
        'post_status' => 'publish',
        'paged' => $paged,
    );
    $posts = new WP_Query( $args );
    ?>
    <!-- Blog content -->
    <div class="container blog-posts high-padding">
        
        <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
            <h2 class="blog_heading heading-bottom ">
                <?php echo wp_kses_post(nexbunkr('mt_blog_post_title')); ?>
            </h2>
        <?php } ?>

        <div class="row">

            <?php if ( nexbunkr('mt_blog_layout') != '' && nexbunkr('mt_blog_layout') == 'mt_blog_left_sidebar') { ?>
                <div class="col-md-4 sidebar-content"><?php  dynamic_sidebar( $sidebar ); ?></div>
            <?php } ?>

            <div class="<?php echo esc_attr($class); ?> main-content">

            <?php if ( $posts->have_posts() ) : ?>
                <?php /* Start the Loop */ ?>
                <div class="row">

                    <?php /* Start the Loop */ ?>
                    <?php while ( $posts->have_posts() ) : $posts->the_post(); ?>
                        <?php /* Loop - Variant 1 */ ?>
                        <?php get_template_part( 'content', 'blogloop-v5' ); ?>
                    <?php endwhile; ?>

                </div>
            <?php else : ?>
                <?php get_template_part( 'content', 'none' ); ?>
            <?php endif; ?>
            
            <div class="clearfix"></div>

            <?php 
            $wp_query = new WP_Query($args);
            global  $wp_query;
            if ($wp_query->max_num_pages != 1) { ?>                
            <div class="modeltheme-pagination-holder col-md-12">           
                <div class="modeltheme-pagination pagination">           
                    <?php the_posts_pagination(); ?>
                </div>
            </div>
            <?php } ?>
            </div>

            <?php if ( nexbunkr('mt_blog_layout') != '' && nexbunkr('mt_blog_layout') == 'mt_blog_right_sidebar') { ?>
                <div class="col-md-4 sidebar-content"><?php  dynamic_sidebar( $sidebar ); ?></div>
            <?php } ?>

        </div>
    </div>


<?php
get_footer();
?>